# ApiHostsToRemoveArgs Data Model

Arguments passed to the remove hosts from cluster api, every host passed in has the roles in it deleted and the host is removed from the cluster, but is still managed by CM. If deleteHosts is set to true hosts are also deleted from CM.

Properties
name | data type | constraints | description
--- | --- | --- | ---
hostsToRemove | array of string |  |
deleteHosts | boolean | required |

Example

    {
      "hostsToRemove" : [ "...", "..." ],
      "deleteHosts" : true
    }